This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 678081 - Updates.img delivery via installation source not working
Updates.img delivery via installation source not working
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
15
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F15Beta/F15BetaBlocker
  Show dependency treegraph
 
Reported: 2011-02-16 12:04 EST by James Laska
Modified: 2013-09-02 02:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-07 14:47:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (4.91 KB, text/plain)
2011-02-16 12:04 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2011-02-16 12:04:49 EST
Created attachment 479173 [details]
anaconda.log

Description of problem:


Version-Release number of selected component (if applicable):
 * anaconda-15.20-1

How reproducible:


Steps to Reproduce:
1. Create an updates.img.  I'm using one provided by the scripts/makeupdates command included in anaconda.git.  However, the image referenced in the traceback test case can be used (https://fedoraproject.org/wiki/QA:Testcase_Anaconda_save_traceback_to_bugzilla).
2. Save the image as images/updates.img in the installation source directory
3. Boot the installer with repo=/method= pointing to the server/path that contains the installation source+packages
  
Actual results:

I'm still seeing a bug that is already confirmed fixed by the updates.img

16:56:22,199 DEBUG loader: in doLoaderMain, step = STEP_KBD
16:56:22,201 DEBUG loader: in doLoaderMain, step = STEP_METHOD
16:56:22,201 DEBUG loader: in doLoaderMain, step = STEP_DRIVER
16:56:22,201 DEBUG loader: in doLoaderMain, step = STEP_NETWORK
16:56:22,221 DEBUG loader: in doLoaderMain, step = STEP_EXTRAS
16:56:22,221 DEBUG loader: in STEP_EXTRAS, method = METHOD_URL
16:56:22,221 DEBUG loader: looking for extras for HTTP/FTP install
16:56:22,221 INFO loader: transferring http://dell-t5400.test.redhat.com/cobblerr
/ks_mirror/F-15-Alpha-x86_64/images/updates.img

^^^^  it appears to have downloaded the file ...

16:56:22,317 ERR loader: Error mounting /tmp/updates-disk.img: No such file or directory
16:56:22,319 INFO loader: transferring http://dell-t5400.test.redhat.com/cobbler
/ks_mirror/F-15-Alpha-x86_64/images/product.img
16:56:22,325 ERR loader: Error downloading http://dell-t5400.test.redhat.com/cobbler/ks_mirror/F-15-Alpha-x86_64/images/product.img: HTTP response code said error
16:56:22,325 INFO loader: Loading SELinux policy
16:56:22,855 INFO loader: getting ready to spawn shell now
16:56:22,855 INFO loader: not spawning a shell

Inspecting /tmp/updates ... it doesn't seem like the symlinks were created as expected:

bash-4.2# find /tmp/updates/
/tmp/updates/
/tmp/updates/pyanaconda
/tmp/updates/pyanaconda/text.py
/tmp/updates/pyanaconda/yuminstall.py
Comment 1 Chris Lumens 2011-02-16 14:33:08 EST
Can you apply http://fpaste.org/wDUo/ to your anaconda git tree, make a new updates.img, put it in the tree, and let me know what gets printed on tty1?  I don't really see any differences in the updates= vs. implicit updates code paths in loader that could explain this.  I'd like to rule out anything funny happening in anaconda itself.
Comment 2 James Laska 2011-02-16 16:10:36 EST
(In reply to comment #1)
> Can you apply http://fpaste.org/wDUo/ to your anaconda git tree, make a new
> updates.img, put it in the tree, and let me know what gets printed on tty1?  I
> don't really see any differences in the updates= vs. implicit updates code
> paths in loader that could explain this.  I'd like to rule out anything funny
> happening in anaconda itself.

Running anaconda 15.20, the Fedora system installer - please wait.             
entered setupPythonUpdates
checking pkg /tmp/updates/pyanaconda
looking for destination /usr/lib/python2.7/site-packages/pyanaconda
calling symlink_updates(/usr/lib/python2.7/site-packages/pyanaconda, /tmp/updates/pyanaconda)
checking pkg /tmp/updates/anaconda
/tmp/updates/anaconda does not exist
Comment 3 Chris Lumens 2011-02-21 11:38:37 EST
Just to sum up - I was unable to figure out any way this could be happening, and James was unable to reliably reproduce it.  I suggest we leave it open a little while longer just in case, but I'm leaning towards a WORKSFORME resolution soon.

Note You need to log in before you can comment on or make changes to this bug.